void request_param() {

  //*-- Запрос текущих параметров инвертора
  delay(3000);
  while (Serial.available()) Serial.read();
  Serial.print(RECUEST_PARAM);
  delay(2000);

  int i = 0;
  char buffer[120];

  if (Serial.available()) {
    while ( Serial.available() && i < 119) {
      buffer[i++] = Serial.read();
      yield();
    }
    buffer[i++] = '\0';  //закрываем массив
  }

  if (i == 111) {

    Serial.println("Ответ инвертора: Data OK");
    //Serial.println(buffer);                           // Раскомментировать при отладке
    sscanf(buffer, "(%s%s%s%*s%d%d%d%*d%s%d%d%d%d%s%*s%d", &U_grid, &F_grid, &U_out, &S_out, &P_out, &Load, &U_bat, &I_charge, &C_bat, &T_inv, &I_pv_bat, &U_pv, &I_discharge );

    // U_bat в десятичном виде (для подсчета энергии)
    U_bat_dec = strtod (U_bat, NULL);

    //*-- Подготовка строки для отправки на сервер
    // Переводим целые в строку
    String Sout = String(S_out);
    String Pout = String(P_out);
    String L = String(Load);
    String Icharge = String(I_charge);
    String Cbat = String(C_bat);
    String Ipvbat = String(I_pv_bat);
    String Idischarge = String(I_discharge);

    Inv_param = "&p1=";
    Inv_param += U_grid;
    Inv_param += "&p2=";
    Inv_param += F_grid;
    Inv_param += "&p3=";
    Inv_param += U_out;
    Inv_param += "&p4=";
    Inv_param += Sout;
    Inv_param += "&p5=";
    Inv_param += Pout;
    Inv_param += "&p6=";
    Inv_param += L;
    Inv_param += "&p7=";
    Inv_param += U_bat;
    Inv_param += "&p8=";
    Inv_param += Icharge;
    Inv_param += "&p9=";
    Inv_param += Cbat;
    Inv_param += "&p10=";
    Inv_param += Ipvbat;
    Inv_param += "&p11=";
    Inv_param += U_pv;
    Inv_param += "&p12=";
    Inv_param += Idischarge;

  }
  else {
    Serial.println("Ответ инвертора: Data Incorrect");
    Inv_param = "";          // Высвечиваем "Нет данных", если инвертор не отвечает или пакет не корректный
  }
}

void request_status() {

  //*-- Запрос текущего статуса инвертора
  delay(2000);
  while (Serial.available()) Serial.read();
  Serial.print(RECUEST_STATUS);
  delay(1000);

  String inData = Serial.readStringUntil('\r');
  String Status = inData.substring(1, 2);

  String result;
  switch (Status[0])
  {
    case 'P': result = "Power_On_Mode";     break;
    case 'S': result = "Standby_Mode";      break;
    case 'L': result = "Line_Mode";         break;
    case 'B': result = "Battery_Mode";      break;
    case 'F': result = "Fault_Mode";        break;
    case 'H': result = "Power_Saving_Mode"; break;
    default:  result = "Unknown";           break;
  }
  Serial.print("Статус инвертора: ");
  Serial.println(result);

  //*-- Подготовка строки для отправки на сервер
  Inv_status = "&p14=";
  Inv_status += result;
}
